---
title: List jobs
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[R2](https://developers.cloudflare.com/api/typescript/resources/r2)

[Super Slurper](https://developers.cloudflare.com/api/typescript/resources/r2/subresources/super_slurper)

[Jobs](https://developers.cloudflare.com/api/typescript/resources/r2/subresources/super_slurper/subresources/jobs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List jobs

client.r2.superSlurper.jobs.list(JobListParams {account\_id, limit, offset } params, RequestOptionsoptions?): SinglePage< [JobListResponse](<https://developers.cloudflare.com/api/typescript/resources/r2#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)>) {id, createdAt, finishedAt, 4 more } >

GET/accounts/{account\_id}/slurper/jobs

Lists all R2 Super Slurper migration jobs for the account with their status.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params: JobListParams {account\_id, limit, offset }

</summary>

account\_id: string

Path param

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

limit?: number

Query param

maximum50

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20limit">Link to this property</a>

offset?: number

Query param

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20offset">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2.super_slurper.jobs%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

JobListResponse {id, createdAt, finishedAt, 4 more }

</summary>

id?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

createdAt?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20createdAt">Link to this property</a>

finishedAt?: string| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20finishedAt">Link to this property</a>

overwrite?: boolean

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20overwrite">Link to this property</a>

<details>

<summary>

source?: S3SourceResponseSchema {bucket, endpoint, keys, 2 more } | GcsSourceResponseSchema {bucket, keys, pathPrefix, vendor } | R2SourceResponseSchema {bucket, jurisdiction, keys, 2 more }

</summary>

One of the following:

<details>

<summary>

S3SourceResponseSchema {bucket, endpoint, keys, 2 more }

</summary>

bucket?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20bucket">Link to this property</a>

endpoint?: string| null

formaturi

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20endpoint">Link to this property</a>

keys?: Array&lt;string&gt;| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20keys">Link to this property</a>

pathPrefix?: string| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20pathPrefix">Link to this property</a>

vendor?: "s3"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

GcsSourceResponseSchema {bucket, keys, pathPrefix, vendor }

</summary>

bucket?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201%20%3E%20(property)%20bucket">Link to this property</a>

keys?: Array&lt;string&gt;| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201%20%3E%20(property)%20keys">Link to this property</a>

pathPrefix?: string| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201%20%3E%20(property)%20pathPrefix">Link to this property</a>

vendor?: "gcs"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

R2SourceResponseSchema {bucket, jurisdiction, keys, 2 more }

</summary>

bucket?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20bucket">Link to this property</a>

<details>

<summary>

jurisdiction?: "default"| "eu"| "us"| "fedramp"

</summary>

One of the following:

"default"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20jurisdiction%20%3E%20(member)%200">Link to this property</a>

"eu"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20jurisdiction%20%3E%20(member)%201">Link to this property</a>

"us"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20jurisdiction%20%3E%20(member)%202">Link to this property</a>

"fedramp"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20jurisdiction%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20jurisdiction">Link to this property</a>

keys?: Array&lt;string&gt;| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20keys">Link to this property</a>

pathPrefix?: string| null

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20pathPrefix">Link to this property</a>

vendor?: <a href="https://developers.cloudflare.com/api/typescript/resources/r2#(resource)%20r2.buckets.sippy%20%3E%20(model)%20provider%20%3E%20(schema)">Provider</a> {}

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

<details>

<summary>

status?: "running"| "paused"| "aborted"| "completed"

</summary>

One of the following:

"running"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"paused"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"aborted"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"completed"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

target?: Target {bucket, jurisdiction, vendor }

</summary>

bucket?: string

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20bucket">Link to this property</a>

<details>

<summary>

jurisdiction?: "default"| "eu"| "us"| "fedramp"

</summary>

One of the following:

"default"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20jurisdiction%20%3E%20(member)%200">Link to this property</a>

"eu"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20jurisdiction%20%3E%20(member)%201">Link to this property</a>

"us"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20jurisdiction%20%3E%20(member)%202">Link to this property</a>

"fedramp"

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20jurisdiction%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20jurisdiction">Link to this property</a>

vendor?: <a href="https://developers.cloudflare.com/api/typescript/resources/r2#(resource)%20r2.buckets.sippy%20%3E%20(model)%20provider%20%3E%20(schema)">Provider</a> {}

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2.super_slurper.jobs%20%3E%20(model)%20job_list_response%20%3E%20(schema)>)

### List jobs

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const jobListResponse of client.r2.superSlurper.jobs.list({
  account_id: 'account_id',
})) {
  console.log(jobListResponse.id);
}
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "https://example.com",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "https://example.com",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}
```